diff options
author | B. Watson <yalhcru@gmail.com> | 2022-02-15 00:37:29 -0500 |
---|---|---|
committer | Willy Sudiarto Raharjo <willysr@slackbuilds.org> | 2022-02-16 08:20:05 +0700 |
commit | 763d78b2793e74f5c10f6696217b410e4d9ae1be (patch) | |
tree | 8525eec30996f5cd79c4a4589235f6a636a2dfb9 /multimedia | |
parent | 655c98da598f2430493eeb59f6ecc04abcd4b6e7 (diff) |
multimedia/vlc: Fix build.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r-- | multimedia/vlc/vlc.SlackBuild | 38 |
1 files changed, 24 insertions, 14 deletions
diff --git a/multimedia/vlc/vlc.SlackBuild b/multimedia/vlc/vlc.SlackBuild index a98a2063ac90..9d53667fd97a 100644 --- a/multimedia/vlc/vlc.SlackBuild +++ b/multimedia/vlc/vlc.SlackBuild @@ -27,6 +27,12 @@ # SUCH DAMAGE. # ----------------------------------------------------------------------------- +# 20220215 bkw: Modified by SlackBuilds.org: +# - stop the build if libebml is installed, since it will fail. +# - what the *hell* was this script doing writing to /var/lib/dbus/machine-id? +# not even inside of $PKG, overwriting the real file. that code has now +# been nuked from orbit. + cd $(dirname $0) ; CWD=$(pwd) PRGNAM=vlc @@ -43,9 +49,6 @@ if [ -z "$ARCH" ]; then esac fi -# If the variable PRINT_PACKAGE_NAME is set, then this script will report what -# the name of the created package would be, and then exit. This information -# could be useful to other scripts. if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE" exit 0 @@ -69,15 +72,22 @@ SLKLDFLAGS="-lrt" DOCS="ABOUT-NLS AUTHORS COPYING INSTALL NEWS README THANKS" -# In an ordinary virtual machine, since a different kernal is running, -# a unique dbus id is needed. -# However with LXC, the same kernel is used in each container, -# so we insert an arbitrary value -# -grep "container=" /etc/rc.d/rc.S >/dev/null 2>/dev/null -if [ $? -eq 0 ]; then - mkdir -p /var/lib/dbus/ - echo "4349d719fcf875a557a8c00400000014" > /var/lib/dbus/machine-id +# 20220215 bkw: this compiles for a long time, then fails, if libebml is +# installed. Better to fail immediately and let the user know how to fix it. +if [ "${FORCE:-no}" != "yes" ] && pkg-config --exists libebml; then + cat <<EOF +********************************************************** +* Conflicting package found: libebml * +********************************************************** +* This build is known to fail when libebml is installed. * +* Run "removepkg libebml", then re-run this script. * +* You can reinstall libebml after vlc finishes building. * +********************************************************** + +If you want to try building vlc anyway, export FORCE=yes +in the environment. +EOF + exit 1 fi set -e @@ -110,9 +120,9 @@ autoreconf -fiv chown -R root:root . find -L . \ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \ - -exec chmod 755 {} \; -o \ + -exec chmod 755 {} \+ -o \ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \ - -exec chmod 644 {} \; + -exec chmod 644 {} \+ CFLAGS="$SLKCFLAGS" \ CXXFLAGS="$SLKCFLAGS" \ |